#!/usr/bin/env bash
# Computes various statistics and creates plots for Clique and Rfamome data sets.
# docker run -it -v "$CURRENT_WORKING_DIRECTORY"/data_set_statistics:/data_set_statistics -h dockersgeserver mmiladi/rnaalignclust:v"$IMAGE_VERSION"
# Inside container, the present script can be executed by:
# bash /rnaalignclust/bin/analysis/tools/data_set_statistics.sh

# minimal number of alignments per family; families with fewer members are removed
min_fam_size=3

data_dir=/rnaalignclust/data/
data_set_names=( "rfamome" "cliques-high" "cliques-medium" "cliques-low" )
output_dir=data_set_statistics/
for ((i=0; i < ${#data_set_names[@]}; i++))
do
    data_set=${data_set_names[$i]}
    echo "Processing $data_set."
    data_set_in_dir="$data_dir$data_set/alignments/"
    data_set_out_dir="$output_dir$data_set/"
    python2 /rnaalignclust/bin/analysis/tools/data_set_statistics.py "$data_set_in_dir" "$data_set_out_dir" 3 \
    --no_within_between_class_apsi --min_family_size "$min_fam_size"
    echo "Done."
done